import { Construct } from 'constructs';
import { CustomResource } from 'aws-cdk-lib';
import { Role } from 'aws-cdk-lib/aws-iam';
export interface CollectionIndexProps {
    readonly openSearchEndpoint: string;
    readonly indexName: string;
    readonly metadataFieldName: string;
    readonly textFieldName: string;
    readonly vectorFieldName: string;
    readonly vectorFieldDimension: number;
}
export declare class KnowledgeBaseCollectionIndex extends Construct {
    readonly openSearchEndpoint: string;
    readonly indexName: string;
    readonly metadataFieldName: string;
    readonly textFieldName: string;
    readonly vectorFieldName: string;
    readonly vectorFieldDimension: number;
    readonly role: Role;
    readonly resource: CustomResource;
    constructor(scope: Construct, id: string, props: CollectionIndexProps);
}
