/**
 * Tests if a string is lower case alphanumeric
 *
 * @param str the string to check
 */
export declare function isLowerAlphanumeric(str?: string | null): boolean;
/**
 * Tests if a string is upper case alphanumeric.
 *
 * @param str the string to check
 */
export declare function isUpperAlphanumeric(str?: string | null): boolean;
/**
 * Tests if a string is PascalCase.
 *
 * @param str the string to test
 */
export declare function isPascalCase(str?: string | null): boolean;
/**
 * Tests if a string is camelCase.
 *
 * @param str the string to test
 */
export declare function isCamelCase(str?: string | null): boolean;
/**
 * Converts a string to snake_case
 *
 * @param str the string to convert
 */
export declare function toSnakeCase(str: string): string;
/**
 * Converts a string to kebab-case
 *
 * @param str the string to convert
 */
export declare function toKebabCase(str: string): string;
/**
 * Converts a string to camelCase.
 *
 * @param str the string to convert
 */
export declare function toCamelCase(str: string): string;
/**
 * Converts a string to PascalCase.
 *
 * @param str the string to convert
 */
export declare function toPascalCase(str: string): string;
